clang 10.0.0git

Macros | Functions
waitpkgintrin.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | __DEFAULT_FN_ATTRS __attribute__((__always_inline__, __nodebug__, __target__("waitpkg")))

## Functions
static __inline__ void __DEFAULT_FN_ATTRS | _umonitor (void *__address)
static __inline__ unsigned char __DEFAULT_FN_ATTRS | _umwait (unsigned int __control, unsigned long long __counter)
static __inline__ unsigned char __DEFAULT_FN_ATTRS | _tpause (unsigned int __control, unsigned long long __counter)

## Macro Definition Documentation

## ◆ __DEFAULT_FN_ATTRS

#define __DEFAULT_FN_ATTRS __attribute__((__always_inline__, __nodebug__, __target__("waitpkg")))

Definition at line 17 of file waitpkgintrin.h.

Referenced by _umonitor(), and _umwait().

## Function Documentation

## ◆ _tpause()

static __inline__ unsigned char __DEFAULT_FN_ATTRS _tpause | ( | unsigned int | __control,
|  | unsigned long long | __counter
| ) |  |
| static

Definition at line 34 of file waitpkgintrin.h.

## ◆ _umonitor()

static __inline__ void __DEFAULT_FN_ATTRS _umonitor | ( | void * | __address | ) |
| static

Definition at line 21 of file waitpkgintrin.h.

References __DEFAULT_FN_ATTRS.

## ◆ _umwait()

static __inline__ unsigned char __DEFAULT_FN_ATTRS _umwait | ( | unsigned int | __control,
|  | unsigned long long | __counter
| ) |  |
| static

Definition at line 27 of file waitpkgintrin.h.

References __DEFAULT_FN_ATTRS.